$miniElementsColor: #b3b4b9;

.header {
  width: 100vw;
  height: 100vh;
  margin-top: -20px;
  position: relative;
  color: white;
  overflow: hidden;
  -webkit-animation: color-change-2x 5s linear infinite alternate both;
  animation: color-change-2x 5s linear infinite alternate both;
  .header-container {
    text-align: left;
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    z-index: 120;
  }
  .text-div {
    position: relative;
    width: 80%;
    z-index: 120;
    display: block;
    margin-left: auto;
    margin-right: auto;
    p {
      @media screen and (max-width: 500px) {
        font-size: 1.1rem !important;
      }
      font-size: 2.5rem;
    }
    h1 {
      @media screen and (max-width: 500px) {
        font-size: 2.3rem !important;
      }
      font-size: 5rem;
    }
    h1:before {
      content: '<h1>';
      font-family: jayFont, cursive;
      color: $miniElementsColor;
      font-size: 1.8rem;
      position: absolute;
      @media screen and (max-width: 500px) {
        margin-top: -1rem !important;
        font-size: 1rem;
      }
      margin-top: -1rem;
      left: -1.5rem;
    }
    h1:after {
      content: '<h1/>';
      font-family: jayFont, cursive;
      color: $miniElementsColor;
      font-size: 1.8rem;
      position: absolute;
      @media screen and (max-width: 500px) {
        margin-top: 3rem !important;
        margin-left: -1.5rem !important;
        font-size: 1rem;
      }
      margin-top: 6rem;
      margin-left: -5rem;
    }

    p:before {
      content: '<p>';
      font-family: jayFont, cursive;
      color: $miniElementsColor;
      font-size: 18px;
      position: absolute;
      @media screen and (max-width: 500px) {
        left: -1rem !important;
      }
      margin-top: -1rem;
      left: -2rem;
    }
    p:after {
      content: '<p/>';
      font-family: jayFont, cursive;
      color: $miniElementsColor;
      font-size: 18px;
      position: absolute;
      @media screen and (max-width: 500px) {
        margin-top: 1.1rem !important;
        left: -1rem !important;
      }
      left: -2rem;
      margin-top: 3rem;
    }
    .subtitle_div {
      display: inline-block;
      width: 100%;
      p {
        text-align: left !important;
      }
    }
    .space {
      margin-left: 10px;
    }
    .special_letter {
      color: #3880ff;
      text-shadow: -4px 4px #3dc2ff;
    }
  }
  // Scroll Down
  .scroll_down {
    position: absolute;
    writing-mode: vertical-rl;
    text-orientation: mixed;
    color: #27282c;
    z-index: 200;
    p {
      font-size: 14px;
    }
    bottom: 10px;
  }
  .scroll_down-left {
    left: 10px;
  }
  .scroll_down-right {
    right: 10px;
  }
  // Waves Section
  .waves {
    position:absolute;
    top: 0;
    left: 0;
    transform: rotate(180deg);
    width: 100%;
    height:15vh;
    z-index: 150;
    margin-bottom:-7px; /*Safari Fix*/
    min-height:100px;
    max-height:150px;
    .parallax > use {
      animation: move-forever 25s cubic-bezier(.55,.5,.45,.5) infinite;
    }
    .parallax > use:nth-child(1) {
      animation-delay: -2s;
      animation-duration: 7s;
    }
    .parallax > use:nth-child(2) {
      animation-delay: -3s;
      animation-duration: 10s;
    }
    .parallax > use:nth-child(3) {
      animation-delay: -4s;
      animation-duration: 13s;
    }
    .parallax > use:nth-child(4) {
      animation-delay: -5s;
      animation-duration: 20s;
    }
  }
  // Blob
  .blob {
    position: absolute;
    top: 0;
    left: 0;
    fill: #3dc2ff;
    width: 50vmax;
    z-index: 0;
    animation: move 15s ease-in-out infinite;
    transform-origin: 50% 50%;
  }
  /*Shrinking for mobile*/
  @media (max-width: 768px) {
    .waves {
      height:60px;
    }
    h1 {
      font-size:24px;
    }
  }
}

// Animations
@keyframes move-forever {
  0% {
    transform: translate3d(-90px,0,0);
  }
  100% {
    transform: translate3d(85px,0,0);
  }
}
@-webkit-keyframes color-change-2x {
  0% {
    background: #5260ff;
  }
  100% {
    background: #b22cff;
  }
}
@keyframes color-change-2x {
  0% {
    background: #5260ff;
  }
  100% {
    background: #b22cff;
  }
}
@keyframes move {
  0%   { transform: scale(1)   translate(10px, -30px); }
  38%  { transform: scale(0.8, 1) translate(80vw, 30vh) rotate(160deg); }
  40%  { transform: scale(0.8, 1) translate(80vw, 30vh) rotate(160deg); }
  78%  { transform: scale(1.3) translate(0vw, 50vh) rotate(-20deg); }
  80%  { transform: scale(1.3) translate(0vw, 50vh) rotate(-20deg); }
  100% { transform: scale(1)   translate(10px, -30px); }
}
